# Fetching a list of Story Tasks

Returns all story tasks belonging to stories in projects that the user is partcipating in.


This endpoint returns structured Story Task objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the story_tasks top-level JSON key.
Please see our Response Format section for more information.

Endpoint: GET /story_tasks
Version: 1.0.0

## Query parameters:

  - `created_after` (string)
    Filter for records created after a specified datetime. The datetime must be in ISO 8601 format.

  - `created_before` (string)
    Filter for records created before a specified datetime. The datetime must be in ISO 8601 format.

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- completed_by (User) - The User who completed this Story task, if any.
- story (Story) - The Story on which this Story Task exists.

  - `only` (string)
    Allows you to request one or more resources directly by ID. Multiple IDs can be supplied
in a comma separated list, like GET /api/v1/workspaces.json?only=5,6,7.

  - `order` (string)
    Supply order with the name of a valid sort field for the endpoint and a direction.

Valid values: position:asc and position:desc.

  - `page` (integer)

  - `per_page` (integer)

  - `show_archived` (boolean)
    Include Story Tasks on archived Stories.

  - `show_deleted` (boolean)
    Include Story Tasks on deleted Stories.

  - `show_from_archived_workspaces` (boolean)
    Include Story Tasks on Stories in archived Workspaces.

  - `story_id` (integer)
    Only return the Story Task associated with the specified story_id.

  - `updated_after` (string)
    Filter for records updated after a specified datetime. The datetime must be in ISO 8601 format.

  - `updated_before` (string)
    Filter for records updated before a specified datetime. The datetime must be in ISO 8601 format.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `story_tasks` (object)

  - `users` (object)

  - `stories` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


